# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "agave-geyser-plugin-interface"
version = "3.1.3"
authors = ["Anza Maintainers <maintainers@anza.xyz>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "The Solana Geyser plugin interface."
homepage = "https://anza.xyz/"
documentation = "https://docs.rs/agave-geyser-plugin-interface"
readme = "README.md"
license = "Apache-2.0"
repository = "https://github.com/anza-xyz/agave"

[package.metadata.docs.rs]
targets = ["x86_64-unknown-linux-gnu"]

[features]
agave-unstable-api = []

[lib]
name = "agave_geyser_plugin_interface"
path = "src/lib.rs"

[dependencies.log]
version = "0.4.28"
features = ["std"]

[dependencies.solana-clock]
version = "3.0.0"

[dependencies.solana-hash]
version = "3.0.0"

[dependencies.solana-signature]
version = "3.1.0"
default-features = false

[dependencies.solana-transaction]
version = "3.0.1"

[dependencies.solana-transaction-status]
version = "=3.1.3"
features = ["agave-unstable-api"]

[dependencies.thiserror]
version = "2.0.17"
